'use strict';

// import dependencies
const path = require('path');
const webpack = require('webpack');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const webpackConfig = require('../webpack.config');

// paths
const srcPath = path.resolve(__dirname, 'src');
const nodeModulesPath = path.resolve(__dirname, 'node_modules');

webpackConfig.entry = {
	main: path.resolve(srcPath, 'index.ts')//,
	// vendor: path.resolve(srcPath, 'vendor.ts')
};
webpackConfig.output.path = 'dist';
webpackConfig.resolve.fallback = nodeModulesPath;
webpackConfig.devtool = 'source-map';

// We're not compiling as a lib so tell webpack to include everything we've previously externalised in the parent config
delete webpackConfig.externals;

webpackConfig.devServer = {
	contentBase: path.resolve(srcPath, 'public'),
	stats: 'minimal', // none (or false), errors-only, minimal, normal (or true) and verbose
	host : '0.0.0.0'
};

webpackConfig.plugins.push(new HtmlWebpackPlugin({
	template: path.resolve(srcPath, 'public/index.html'),
	chunksSortMode: 'dependency'
}));

console.log('FTABLE PATH FROM DEV APP:', path.resolve(__dirname, '../src/index.ts'));
console.log('process.env.NODE_ENV:', process.env.NODE_ENV);

// if (process.env.NODE_ENV === 'development') {
	webpackConfig.resolve.alias = {
		// '@fathom-london/ftable-js/src/f-table-plugins/f-table-sortable':
		// 	path.resolve(__dirname, '../src/f-table-plugins/f-table-sortable'),
		'@fathom-london/ftable-js': path.resolve(__dirname, '../src/@fathom-london/ftable-js/index.ts')
	};
// }

module.exports = webpackConfig;
